%define major		%{version}
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		kimageannotator
Version:	0.4.0
Release:	%mkrel 2
Summary:	Tool for annotating images
License:	GPLv2+
Group:		Graphical desktop/KDE
URL:		https://github.com/ksnip/kImageAnnotator
Source:		https://github.com/ksnip/kImageAnnotator/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	cmake(kColorPicker) >= 0.1.4
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(x11)

%description
kImageAnnotator is a tool for annotating images.

#------------------------------------------------

%package -n	%{libname}
Summary:	Tool for annotating images
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}

%description -n	%{libname}
kImageAnnotator is a tool for annotating images.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%package	i18n
Summary:	Translation files for %{name}
Group:		System/Libraries
BuildArch:	noarch

%description	i18n
This package contains translation files for %{name}.

#------------------------------------------------

%prep
%autosetup -p1 -n kImageAnnotator-%{version}

%build
%cmake_qt5 \
	-DBUILD_EXAMPLE=ON
%cmake_build

%install
%cmake_install

%find_lang kImageAnnotator --with-qt

%files i18n -f kImageAnnotator.lang

%files -n %{libname}
%license LICENSE
%doc CHANGELOG.md README.md
%{_libdir}/libkImageAnnotator.so.%{major}

%files -n %{develname}
%doc CHANGELOG.md README.md
%{_includedir}/kImageAnnotator/
%{_libdir}/libkImageAnnotator.so
%{_libdir}/cmake/kImageAnnotator/


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 0.4.0-2.mga8
+ Revision: 1658717
- Rebuild for new Qt5

* Mon Dec 14 2020 daviddavid <daviddavid> 0.4.0-1.mga8
+ Revision: 1657331
- new version: 0.4.0

* Sun Aug 02 2020 daviddavid <daviddavid> 0.3.2-1.mga8
+ Revision: 1610532
- new version: 0.3.2

* Fri Jun 26 2020 daviddavid <daviddavid> 0.3.1-1.mga8
+ Revision: 1599318
- new version: 0.3.1

* Fri Jun 19 2020 daviddavid <daviddavid> 0.3.0-1.mga8
+ Revision: 1597134
- new version: 0.3.0

* Fri Apr 03 2020 daviddavid <daviddavid> 0.2.1-1.mga8
+ Revision: 1564102
- initial package kimageannotator (needed for ksnip)

